---
title: 'Detailed availability'
url: 'https://documentation.netstorming.net/api-reference/transfers/detailed-availability'
markdown: 'https://documentation.netstorming.net/api-reference/transfers/detailed-availability.md'
date: '2026-11-10'
description: 'Detailed availability search Product: transport Type: detailed_availability Detailed availability search allows the client to obtain updated and detailed data about the selected agreement. It is also used to obtain supplement quotation. Request Request fields: search @number: search number fro…'
taxonomy:
  category:
    - docs
---

# Detailed availability

[](#)  [ API reference ](https://documentation.netstorming.net/api-reference)     [ Transfers ](https://documentation.netstorming.net/api-reference/transfers)      Detailed availability    

#### Detailed availability search

Product: **transport**
Type: **detailed\_availability**

Detailed availability search allows the client to obtain updated and detailed data about the selected agreement. It is also used to obtain supplement quotation.

##### Request

Request fields:

- **search**
- - **@number**: search number from previous availability search
- **agreement**
- - **@code**: selected agreement code from previous availability search
- **additional\_required\_info** (required if **additional\_required\_info** is returned in the availability search)
- - **required\_info**
- - - **@name**: required info name as returned in availability search
- - - **@value**: input value from your client in the correct format as requested by the @type attribute
- **supplements** (optional, used to quote supplements)
- - **supplement**
- - - **@code**: supplement code as returned in availability search
- - - **@quantity**: how many units you want to quote
- - - **@choice**: (required if selected supplement supports choices) the chosen option exactly as presented in the **choices/choice@value** attribute of the availability search

Request example:

```xml
<envelope>
    <header>
        <actor>exampleactor</actor>
        <user>exampleuser</user>
        <password>*****</password>
        <version>1.7.0</version>
        <timestamp>20240112150441</timestamp>
    </header>
    <query type="detailed_availability" product="transport">
        <search number="trsprts.avl65b8ea99ac0db"/>
        <agreement code="LCL.33.132.1.NjJkY2E0"/>
        <additional_required_info>
            <required_info name="dropoff_travel_departure" value="2024-02-10 14:00:00"/>
        </additional_required_info>
        <supplements>
            <supplement code="SYS_SUPP_24@20" quantity="1"/>
        </supplements>
    </query>
</envelope>
```

##### Response

Response example:

```xml
<envelope>
    <header>
        <version port="22222" host="example.netstorming.net">1.7.0</version>
        <timestamp>20240131105234</timestamp>
    </header>
    <response type="detailed_availability" product="transport">
        <search number="trsprts.avl671bb8542b946" time_search="0.54" time_xml="0.003"/>
        <outbound date="2024-02-12" time="12:00" changed="true"/>
        <luggages number="2"/>
        <paxes required="1" optional="1" documents_required="false" leader_phone_required="true" leader_email_required="false" leader_country_required="false" />
        <additional_fields>
            <additional_field code="FLIGHT" name="Flight number" description="Please specify the flight number." type="string" compulsory="true"/>
            <additional_field code="FLIGHT_TIME" name="Flight time" description="Please specify the exact time the flight is expected to land/depart." type="datetime" compulsory="true"/>
            <additional_field code="HA-HOUR" name="Happy hour time" description="Orario dell'happy hour" type="time" compulsory="false"/>
            <additional_field code="VIP" name="VIP" description="" type="bool" compulsory="false"/>
            <additional_field code="CHD_BIRTHDATE" name="birthdate" description="Please specify child birthdate" type="date" compulsory="false"/>
        </additional_fields>
        <agreement code="LCL.33.132.1.NjJkY2E0" available="true" typology="PRIVATE" category="Economy+" vehicle="Standard car" luggage="2" deadline="2024-02-12 11:30:00" photo_url="https://d3uh87skopbdhk.cloudfront.net/aic/vehicles/1/standard/62b047d015be7.png">
            <prices>
                <nett amount="117.5" currency="EUR"/>
                <gross amount="117.5" currency="EUR"/>
            </prices>
            <cancellation_policies>
                <policy from="2024-02-12 11:30:00" percentage="100"/>
            </cancellation_policies>
            <vehicle description="Doors: 5, Max passengers: 4, Max luggage pieces: 4, Luggage dimensions: 30cmX40cmX60cm">
                <doors value="5"/>
                <luggage_dimensions value="30cmX40cmX60cm"/>
                <max_luggages value="4"/>
                <max_passengers value="4"/>
            </vehicle>
            <features>
                <feature text="Mandatory: Nightly rate charge (Included in the price)"/>
                <feature text="Available: Water bottle"/>
            </features>
            <supplements>
                <supplement code="SYS_SUPP_21@19" name="Nightly rate charge" quantity="1" max_quantity="1" type="int" prepaid="true" compulsory="true">
                    <prices>
                        <nett amount="10" currency="EUR"/>
                        <gross amount="10" currency="EUR"/>
                    </prices>
                </supplement>
                <supplement code="SYS_SUPP_24@20" name="Water bottle" quantity="1" max_quantity="5" type="int" prepaid="true" compulsory="false">
                    <prices>
                        <nett amount="2.5" currency="EUR"/>
                        <gross amount="2.5" currency="EUR"/>
                    </prices>
                </supplement>
            </supplements>
            <remarks>
                <remark text="Please note - the following supplements are subject to availability and therefore not guaranteed: Water bottle"/>
            </remarks>
        </agreement>
    </response>
</envelope>
```

Response fields:

**search** and **luggages** contains the same data the of the first availability search.

As stated in the [booking flow chapter](https://documentation.netstorming.net/api-reference/transfers/booking-flow), with some suppliers the pickup date/time may change. The outbound tag must be used to verify if this happened:

- **outbound**
- - **@date**: (eventually) updated pickup date
- - **@time**: (eventually) updated pickup time
- - **@changed**: if true, the pickup date/time has been modified by supplier. Be sure to inform your customers accordingly!

Refer to [availabiliy search response](https://documentation.netstorming.net/api-reference/transfers/availability-search) for details about **agreement** content.

- **paxes**
- - **@required**: number of required paxes data
- - **@optional**: number of optional paxes data
- - **@documents\_required**: if true paxes documents are reqiured. At the time of writing this field is not used yet.
- - **@leader\_phone\_required**: if true it is mandatory to provide traveller's phone number
- - **@leader\_email\_required**: if true it is mandatory to provide traveller's email address
- - **@leader\_country\_required**: if true it is mandatory to provide traveller's pax nationality. Pax nationality must be a [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country code
- **additional\_fields**
- - **additional\_field**
- - - **@code**: additional field code
- - - **@name**: additional field name
- - - **@description**: brief description of required data
- - - **@type**: additional field type. Could be string, int, bool, date (YYYY-mm-dd), time (HH:ii), datetime (YYYY-mm-dd HH:ii:ss), choice.
- - - **@compulsory**: if true, this value is mandatory for booking
- - - **choices**: only present if additional\_field@type is **choice**
- - - - **choice@value**: allowed values for this additional\_field

 [ ](https://documentation.netstorming.net/api-reference/transfers/availability-search) [](https://documentation.netstorming.net/api-reference/transfers/book)

---

## Navigation

- Parent: [Transfers](https://documentation.netstorming.net/api-reference/transfers.md)
- Previous: [Availability search](https://documentation.netstorming.net/api-reference/transfers/availability-search.md)
- Next: [Book](https://documentation.netstorming.net/api-reference/transfers/book.md)
